#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add SRDFStar
${VCSHOME}/bin/hatype -modify SRDFStar SourceFile "./SRDFStarTypes.cf"
${VCSHOME}/bin/hatype -modify SRDFStar SupportedActions connect protect enable disconnect unprotect disable reset halt_reset halt cleanup switch
${VCSHOME}/bin/hatype -modify SRDFStar InfoInterval 600
${VCSHOME}/bin/hatype -modify SRDFStar OfflineMonitorInterval 0
${VCSHOME}/bin/hatype -modify SRDFStar OnlineTimeout 86400
${VCSHOME}/bin/hatype -modify SRDFStar OfflineTimeout 1200
${VCSHOME}/bin/hatype -modify SRDFStar OpenTimeout 180
${VCSHOME}/bin/hatype -modify SRDFStar RestartLimit 1
${VCSHOME}/bin/hatype -modify SRDFStar ArgList SymHome GrpName SyncSite AsyncSite UseMostRecentData KeepDataOn KeepDataFrom OnlineOnState TripTakeover ForceOnline HaltOnOffline
${VCSHOME}/bin/haattr -add SRDFStar SymHome -string "/usr/symcli"
${VCSHOME}/bin/haattr -add SRDFStar GrpName -string
${VCSHOME}/bin/haattr -add SRDFStar SyncSite -string
${VCSHOME}/bin/haattr -add SRDFStar AsyncSite -string
${VCSHOME}/bin/haattr -add SRDFStar UseMostRecentData -integer 1
${VCSHOME}/bin/haattr -add SRDFStar KeepDataOn -string SWITCH
${VCSHOME}/bin/haattr -add SRDFStar KeepDataFrom -string
${VCSHOME}/bin/haattr -add SRDFStar OnlineOnState -string STAR_PROTECTED
${VCSHOME}/bin/haattr -add SRDFStar TripTakeover -integer 0 
${VCSHOME}/bin/haattr -add SRDFStar ForceOnline -integer 0
${VCSHOME}/bin/haattr -add SRDFStar HaltOnOffline -integer 0
${VCSHOME}/bin/haattr -add -temp SRDFStar StarState -string

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi
